Add your Key ID and Secret to send test requests.
Download an export
GET
/v1/hlr/lookups/{lookupId}/exports/{format}/contentReturns the export file itself, as an attachment. Build it first, and check it is ready — an export still building answers 409.
Authorization
KeyId ApiSecret x-key-id<token>
Your API key id.
In: header
x-api-secret<token>
Your API key secret.
In: header
Path Parameters
lookupId*string
Length
1 <= lengthformat*string
Value in
"json" | "csv" | "xlsx"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/hlr/lookups/string/exports/json/content" \ -H "x-key-id: YOUR_KEY_ID" \ -H "x-api-secret: YOUR_API_SECRET"[
{
"inputValue": "21650000001",
"normalizedInput": "21650000001",
"resultStatus": "success",
"mcc": "605",
"mnc": "01",
"originalNetwork": "Orange",
"currentNetwork": "Orange",
"ported": false,
"roaming": false,
"reachable": false,
"presentInNetwork": true,
"errorCode": null,
"processedAt": "2026-09-15T22:27:33.323Z",
"sellingPrice": 1.0025,
"currency": "EUR"
}
]{
"error": {
"code": "VALIDATION_ERROR",
"message": "The request is not valid. See `fields` for what to correct.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "This endpoint requires an API key.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "No such resource.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource is not in a state that allows this operation.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Retry after the interval in `Retry-After`.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Something went wrong on our side.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "SERVICE_RESPONSE_INVALID",
"message": "The upstream service returned an unexpected response.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "The service is temporarily unavailable. Try again shortly.",
"requestId": "9f1c7b2e-…"
}
}